Crear nota de crédito independiente
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/credit-notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"point_of_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_date": "2023-12-25",
"items": [
{
"name": "<string>",
"quantity": 123,
"unit_price": 1,
"tax_rate_id": 2,
"id": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_name": "<string>",
"product_sku": "<string>",
"is_exempt": false,
"discount_percentage": 50,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_name": "<string>",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cbtes_asoc": {
"tipo": 2,
"punto_venta": 2,
"numero": 2
},
"associated_period": {
"desde": "2023-12-25",
"hasta": "2023-12-25"
},
"cost_centers": {
"cost_center_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"restock_inventory": false,
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/credit-notes"
payload = {
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"point_of_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_date": "2023-12-25",
"items": [
{
"name": "<string>",
"quantity": 123,
"unit_price": 1,
"tax_rate_id": 2,
"id": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_name": "<string>",
"product_sku": "<string>",
"is_exempt": False,
"discount_percentage": 50,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_name": "<string>",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cbtes_asoc": {
"tipo": 2,
"punto_venta": 2,
"numero": 2
},
"associated_period": {
"desde": "2023-12-25",
"hasta": "2023-12-25"
},
"cost_centers": {
"cost_center_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center_3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"restock_inventory": False,
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
point_of_sale_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
issue_date: '2023-12-25',
items: [
{
name: '<string>',
quantity: 123,
unit_price: 1,
tax_rate_id: 2,
id: '<string>',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_name: '<string>',
product_sku: '<string>',
is_exempt: false,
discount_percentage: 50,
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
account_name: '<string>',
warehouse_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center_1_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center_2_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center_3_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
register_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
operator_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cbtes_asoc: {tipo: 2, punto_venta: 2, numero: 2},
associated_period: {desde: '2023-12-25', hasta: '2023-12-25'},
cost_centers: {
cost_center_1_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center_2_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center_3_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
restock_inventory: false,
warehouse_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notes: '<string>'
})
};
fetch('https://api.lapyme.com.ar/api/v1/credit-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"credit_note": {
"object": "credit_note",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total": 123,
"invoice_status": "<string>",
"invoice_number": 123,
"formatted_invoice_number": "<string>",
"voucher_type": "<string>"
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Pedido no encontrado",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de idempotencia o de negocio",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Crear nota de crédito independiente
Crea una nota de crédito independiente, asociada a un comprobante externo o a un período asociado explícitamente soportado. No usar para devoluciones de ventas internas: en ese caso usá /api/v1/sales//returns.
POST
/
api
/
v1
/
credit-notes
Crear nota de crédito independiente
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Body
application/json
AFIP credit-note voucher type.
Available options:
3, 8, 13, 53, 95, 100, 203, 208, 213 Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Associated service period. For fiscal credit notes, this can be used instead of cbtes_asoc.
Show child attributes
Show child attributes
Available options:
PES, DOL Show child attributes
Show child attributes
Was this page helpful?
⌘I

